# Card Payments

Take online payments with our Card Payments API.

__Authentication header__
  ```
    Authorization: {your_credentials}
  ```
Replace `{your_credentials}` with your base64-encoded Basic Auth username and password given to your by your Worldpay Implementation Manager.
<br /> <br />

You **must** use the `Authorization` header for any request you send to our Card Payments API.

__Accept/Content-Type header__
  ```
  Content-Type: application/vnd.worldpay.payments-v7+json
  Accept: application/vnd.worldpay.payments-v7+json
  ```
We use the Accept header to identify which version of our API you are using. You must use the Accept header for any request you send to our Card Payments API.

We require the Content-Type header if the request you're sending includes a request body, and if the HTTP method is a `POST` or a `PUT`.
<br /><br />


__DNS whitelisting__  
Whitelist the following URLs:
* `https://try.access.worldpay-bsh.securedataplatform.co.uk/`
* `https://access.worldpay-bsh.securedataplatform.co.uk/`

Please ensure you use DNS whitelisting, not explicit IP whitelisting.

Version: 7

Metadata:
  - category: ["Card Payments","Wallets"]
  - business: ["Enterprise","Marketplaces"]
  - catalog-list: true
  - generated: false

## Servers

Test (Try)
```
https://try.access.worldpay-bsh.securedataplatform.co.uk
```

Live
```
https://access.worldpay-bsh.securedataplatform.co.uk
```

## Security

### BasicAuth

Type: http
Scheme: basic

## Download OpenAPI description

 - [Card Payments](https://docs.worldpay-bsh.securedataplatform.co.uk/access/_bundle/products/card-payments/@v7/openapi.yaml)

 - [POST /cardPayments/customerInitiatedTransactions](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/other/authorize.md): Take online card payments using our Card Payments API.
 - [POST /cardPayments/merchantInitiatedTransactions](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/other/recurring.md): Take online payments using our Card Payments API.
## Manage payments

 - [POST /payments/settlements/full/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/settle.md): To receive all the funds from the customer, send us a settle request.
 - [POST /payments/settlements/partials/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/partialsettlement.md): To receive a portion of the funds of a payment, send us a partial settle request.
 - [POST /payments/settlements/refunds/full/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/refund.md): Send a refund request to return the full settled amount to your customer. **Note:** No request body is needed for this request.
 - [POST /payments/settlements/refunds/partials/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/partialrefund.md): Send a partial refund request to return a portion of the settled amount to your customer. Send the amount to refund and the authorization currency in the body.
 - [POST /payments/authorizations/cancellations/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/cancel.md): If you don't want to proceed with a payment, you can send a full cancel request. **Note:** You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.
 - [POST /payments/authorizations/cancellations/partials/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/partialcancel.md): If you don't want to proceed with a payment, you can send a partial cancel request. **Note:** You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.
 - [POST /payments/authorizations/incrementalAuthorizations/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/increaseauthorize.md): If you want to increase an initial estimated authorization amount (submitted with `estimated` set to `true`), you can send a incremental authorization request. **Note:** You must use the latest next a
 - [POST /payments/sales/reversals/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/manage-payments/reversal.md): Your reversal request is processed as a cancel or refund request. This depends on the time passed after your sale request was submitted. For US entities the payment is refunded after one day after a s
## Recover payments

 - [GET /payments/events](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/recover-payments/eventrecovery.md): Send a request to find out the current status of your payment after it has been authorized using its associated transactionReference and entity. **Important:** Only use this for recovery purposes for
 - [GET /payments/events/{linkData}](https://docs.worldpay-bsh.securedataplatform.co.uk/access/products/card-payments/openapi/recover-payments/eventquery.md): Send a request to find out the current status of your payment after it has been authorized using the events action link. **Note:** It can take up to 15 minutes for a payment event to update.
